Routes

Initiate collection

POSThttps://api.insurely.com/insurance/collection

Initiate an insurance data collection for a given individual based on the CollectionRequestInput with the specified login method.

Request

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2025-01-01.

Request Body

companystring

The name of the company to trigger the collection from

A set of consents provided by the end user.

inputobject

Key-value object specifying additional input required for the collection. What values should be included depends on context.Possible keys are SWEDISH_PERSONAL_NUMBER, NORWEGIAN_PERSONAL_NUMBER, NORWEGIAN_PHONE_NUMBER,USERNAME, PASSWORD, LASTNAME, ACCOUNT_OWNER_NAME.

loginMethodstring

Login method that will be used to authenticate the user. Available login methods for a company is specified in the /companies/availability response.

Possible Enum values are ESTONIAN_MOBILE_ID, ESTONIAN_SMART_ID, ESTONIAN_MOBILE_ID_USERNAME or ESTONIAN_SMART_ID_USERNAME.

Responses

Data collection successfully initiated.

Body

collectionItemsArray<CollectionItem>

Beta feature, will only be populated for select companies. This feature is intended to preview data during the collection process. Please refer to the data endpoint as the source of truth for collected data.

companystring

Company that this collection is from

A key-value map containing potential extra information, depending on the company the collection is getting data from.

idstring

The collection ID of the request

pollingIntervalinteger[int32]

The recommended interval in milliseconds at which to poll the /status endpoint for a collection. The endpoint can be polled less often, but latest by the value indicated by pollingTimeout to ensure that the collection is not terminated.

pollingTimeoutstring[date-time]

The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.

statusstring

Current status of the collection.

Possible Enum values are RUNNING, LOGIN, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.
cURL
curl https://api.insurely.com/insurance/collection \  -H "client-id: <client-id>" \  -H "Content-Type: application/json" \  -d '{  "company": "ee-ergo",  "filter": {    "rules": [      {        "field": "registrationNo",        "value": "307RTB"      }    ]  },  "input": {    "ESTONIAN_PERSONAL_NUMBER": "12345678901",    "USERNAME": "USER123"  },  "loginMethod": "ESTONIAN_SMART_ID_USERNAME"}' \  -X POST
RESPONSE 201
{  "company": "ee-seesam",  "extraInformation": null,  "id": "224f54401a0a1234ac765a85eaee7ea9",  "pollingInterval": 1000,  "status": "RUNNING"}